/*
 * This file is generated by jOOQ.
*/
package com.tabajara.base.tables.pojos;


import com.tabajara.base.tables.interfaces.IControle;

import io.github.jklingsporn.vertx.jooq.shared.internal.VertxPojo;

import java.sql.Date;

import javax.annotation.Generated;


/**
 * This class is generated by jOOQ.
 */
@Generated(
    value = {
        "http://www.jooq.org",
        "jOOQ version:3.10.5"
    },
    comments = "This class is generated by jOOQ"
)
@SuppressWarnings({ "all", "unchecked", "rawtypes" })
public class Controle implements VertxPojo, IControle {

    private static final long serialVersionUID = 277221797;

    private Integer conid;
    private Date    concriacao;

    public Controle() {}

    public Controle(Controle value) {
        this.conid = value.conid;
        this.concriacao = value.concriacao;
    }

    public Controle(
        Integer conid,
        Date    concriacao
    ) {
        this.conid = conid;
        this.concriacao = concriacao;
    }

    @Override
    public Integer getConid() {
        return this.conid;
    }

    @Override
    public Controle setConid(Integer conid) {
        this.conid = conid;
        return this;
    }

    @Override
    public Date getConcriacao() {
        return this.concriacao;
    }

    @Override
    public Controle setConcriacao(Date concriacao) {
        this.concriacao = concriacao;
        return this;
    }

    @Override
    public String toString() {
        StringBuilder sb = new StringBuilder("Controle (");

        sb.append(conid);
        sb.append(", ").append(concriacao);

        sb.append(")");
        return sb.toString();
    }

    // -------------------------------------------------------------------------
    // FROM and INTO
    // -------------------------------------------------------------------------

    /**
     * {@inheritDoc}
     */
    @Override
    public void from(IControle from) {
        setConid(from.getConid());
        setConcriacao(from.getConcriacao());
    }

    /**
     * {@inheritDoc}
     */
    @Override
    public <E extends IControle> E into(E into) {
        into.from(this);
        return into;
    }

    public Controle(io.vertx.core.json.JsonObject json) {
        this();
        fromJson(json);
    }
}
